clang 8.0.0

Public Types | Static Public Member Functions | List of all members
llvm::PointerLikeTypeTraits< const clang::IdentifierInfo * > Struct Template Reference

`#include "clang/Basic/IdentifierTable.h"`

## Public Types
enum | { NumLowBitsAvailable = 1 }

## Static Public Member Functions
static const void * | getAsVoidPointer (const clang::IdentifierInfo *P)
static const clang::IdentifierInfo * | getFromVoidPointer (const void *P)

## Detailed Description

### template<>
struct llvm::PointerLikeTypeTraits< const clang::IdentifierInfo * >

Definition at line 974 of file IdentifierTable.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
NumLowBitsAvailable |

Definition at line 983 of file IdentifierTable.h.

## Member Function Documentation

## ◆ getAsVoidPointer()

static const void* llvm::PointerLikeTypeTraits< const clang::IdentifierInfo * >::getAsVoidPointer | ( | const clang::IdentifierInfo * | P | ) |
| inline static

Definition at line 975 of file IdentifierTable.h.

References P.

## ◆ getFromVoidPointer()

static const clang::IdentifierInfo* llvm::PointerLikeTypeTraits< const clang::IdentifierInfo * >::getFromVoidPointer | ( | const void * | P | ) |
| inline static

Definition at line 979 of file IdentifierTable.h.

References P.

The documentation for this struct was generated from the following file:

- include/clang/Basic/IdentifierTable.h